UnsolicitedNotificationEvent (Java SE 25 & JDK 25)
Description: declaration: module: java.naming, package: javax.naming.ldap, class: UnsolicitedNotificationEvent
Keywords: javax.naming.ldap.UnsolicitedNotificationEvent class

# Class UnsolicitedNotificationEvent

java.lang.Object
java.util.EventObject
javax.naming.ldap.UnsolicitedNotificationEvent

All Implemented Interfaces:
  `Serializable`

public class UnsolicitedNotificationEvent extends EventObject
This class represents an event fired in response to an unsolicited notification sent by the LDAP server.

Since:
  1.3
See Also:
  - `UnsolicitedNotification`
  - `UnsolicitedNotificationListener`
  - `EventContext.addNamingListener(Name, int, NamingListener)`
  - `EventDirContext.addNamingListener(Name, String, SearchControls, NamingListener)`
  - `EventContext.removeNamingListener(NamingListener)`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsolicitedNotificationEvent(Object src, UnsolicitedNotification notice)`
  Constructs a new instance of `UnsolicitedNotificationEvent`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispatch(UnsolicitedNotificationListener listener)`
  Invokes the `notificationReceived()` method on a listener using this event.
  `UnsolicitedNotification`
  `getNotification()`
  Returns the unsolicited notification.

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsolicitedNotificationEvent

    public UnsolicitedNotificationEvent(Object src, UnsolicitedNotification notice)
    Constructs a new instance of `UnsolicitedNotificationEvent`.
    Parameters:
      `src` - The non-null source that fired the event.
      `notice` - The non-null unsolicited notification.

- ## Method Details

  - ### getNotification

    public UnsolicitedNotification getNotification()
    Returns the unsolicited notification.
    Returns:
      The non-null unsolicited notification that caused this event to be fired.

  - ### dispatch

    public void dispatch(UnsolicitedNotificationListener listener)
    Invokes the `notificationReceived()` method on a listener using this event.
    Parameters:
      `listener` - The non-null listener on which to invoke `notificationReceived`.